* {
  
margin: 0;
 
 padding: 0;

}


body {
  
background: linear-gradient(to top, #6A5ACD 0%, #191970 100%);


}
 

header h1:hover {

  display: flex;
 
color: #eeeee;
 
box-shadow: #4f2f7a;

}  


header h1 {
  
font-family: 'Playfair Display', serif;
 
 display: flex;
 
 text-align: center;

  margin-top: 2%;

  margin-left: 20%;
 
 margin-right: 20%;
 
 font-size: 500%;

}


header {
 
 align-content: center;
 
 display: flex;
 
 width: auto;
 
 margin: 0 auto;
  
padding: 15px;
 
 border-bottom: ridge #DC143C;
 
 box-shadow:	 #7B68EE;
 
 color: #394671;

}
.content1 {
  
  display: flex;
  
  flex-direction: column;
 
   max-width: 800px;
   
 background-color: #9932CC;
   
 margin: 0 auto;
    
margin-top: 20px;
   
 padding: 10px 10px 10px 30px;
   
 border-radius: 16px;
  
  color: white;
   
 text-decoration: none;

}



.content2 {

 
 display: flex;
 
 flex-direction: column;
 
 max-width: 800px;
 
 background-color: #00008B;
 
 margin: 0 auto;
 
 margin-top: 20px;
 
 padding: 10px 10px 10px 30px;
  
border-radius: 16px;
 
 color: white;
 
 text-decoration: none;

  text-align: center;

}
.content3 {

 
 display: flex;
 
 flex-direction: column;
 
 max-width: 800px;
 
 background-color: #F08080;

  margin: 0 auto;
 
 margin-top: 20px;

  padding: 10px 10px 10px 30px;
 
 border-radius: 16px;
  color: white;
 
 text-decoration: none;
 
 text-align: center;

}



/*@media (max-width: 550px) {
  
.menu {
   
 padding-top: 0;

}

.menu li {
  
  display: block;

}

.menu li:after {
   
 content: none;

}

.menu a {
  
  padding: 25px 0 20px;
  
  margin: 0 30px;

}

 

}

*/

h1 {
  
font-size: 35px;
 
 font-family: monospace;
 
 margin: 0 0 40px 0;
 
 text-align: center;
 
 color: rgb(255, 255, 255);

}



li {
 
 font-size: 20px;
 
 color: white;

}


a:hover {
  
color: #3e0d8d;

}


a {
 
 font-size: 20px;
 
 text-decoration: none;
 
 color: white;

}


table {
  
font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
 
 color: #483D8B;
 
 width: 100%;

}


th {
  
padding: 10px;
 
 text-align: left;

}


td {
  
padding: 10px;

}


tr:hover td {

  background: #483D8B;
 
 color: white;

}


tr:nth-child(odd) {
 
 background: #a80eb6;
  
color: white;

}


tr:nth-child(even) {
 
 background: rgb(106, 59, 236);
 
 color: white;

}


.menu {
 
 display: flex;
 
 height: 40px;
 
 margin: 30px 0%;

}

li {
  
list-style-type: none; 

}
 
 ul {
  
    position: relative;
   
   top: 50%;
   
   left: 50%;
   
   transform: translate(-50%, -50%);
   
   margin: 0;
   
   padding: 0;
    
  display: flex;
  
  }
   
 ul li {
    
  list-style: none;
  
  }
   
 ul li a {
   
   position: relative;
 
     display: block;
 
     margin: 0 10px;
  
    padding: 5px 10px;
  
    color: #aaa;
   
   font-size: 24px;
   
   text-decoration: none;
  
    text-transform: uppercase;
  
    transition: 0.5s;
   
   overflow: hidden;
  
  }
   
 ul li a::before {
    
  content: '';
     
 position: absolute;
    
  top: calc(50% - 2px);
  
    left: -100%;
    
  width: 100%;
   
   height: 4px;
   
   background: #d49fdb;
   
   transition: 0.5s;
  
  }
   
 ul li a:hover {
  
    color: #fff;
 
   }
   
 ul li a:hover::before {
    
  animation: animate .5s linear forwards; 
 
   }
    
 
   @keyframes animate {
  
    0% {
    
    top: calc(50% - 2px);
   
     left: -100%;
     
   height: 4px;
    
    z-index: 1;
    
  }
     
 50% {
     
   top: calc(50% - 2px);
     
   left: 0;
   
     height: 4px;
    
    z-index: 1;
     
 }
     
 100% {
    
    top: 0;
   
     left: 0;
  
      height: 100%;
   
     z-index: -1;
   
   }
  
  }



   

 @media only screen 
  
  and (max-device-width: 640px) {
    
  .content {
     
     display: flex;
     
     flex-direction: column;
    
  }
      
* {
      
    margin: 0;
   
       padding: 0;
  
    }
  
    header h1 {
   
       margin: 40px;
   
       font-family: 'Playfair Display', serif;
 
    }
    
  header {
    
      width: 100%;
  
        height: 20%;
 
         display: flex;
      
    flex-direction: column;
  
    }
      
header h1 {
   
     display: flex;
     
   padding: 0;
   
     margin-top: 0;
     
   font-size: 200%;
    
    font-weight: 20%;
   
     margin: 0 auto;
   
 }

   
 .content1 {
  
    order: 1;
   
   width: 100%;
   
   margin-top: 20px;
   
   padding: 10px 0 10px 0;
  
  }
    
.content2 { 
   
 order: 3;
   
 width: 100%;
    
margin-top: 20px;
  
  padding: 10px 0 10px 0;
 
   }
    
   
 .content3 {
  
  order: 2;
  
  width: 100%;
  
  margin-top: 20px;
  
  padding: 10px 0 10px 0;
   
 
    }
  
  #body-menu {
   
   flex-direction: column;
 
   }
   
 .menu {
    
  flex-direction: column;
 
     padding-top: 0;
  
}
 
 .menu li {
  
  flex-direction: column;
    
  display: block;

  }
  
.menu li:after {
  
  flex-direction: column;
   
   content: none;
 
 }
  
.menu a {
   
 flex-direction: column;
  
    padding: 25px 0 20px;
  
    margin: 0 30px;
 
 }
  

}   
   
 @media only screen 
  
  and (max-device-width: 640px){
  
    .menu li:after {
  
        content: none;
 
     }
     
 .menu a {
    
      padding: 25px 10px 20px;
   
       margin: 0 30px;
   
       font-size: 20px;
    
  }
     
 .menu ul{
   
       flex-direction: column;
   
   }
   
   .menu a {
    
      display: block;
  
        position: relative;
 
        margin: 0 10px;
    
      padding: 5px 10px;
    
      transition: 0.5s;
     
 }
     
 .menu li{
     
     flex-direction: column;
  
    }
      

      .menu a::before {
     
     position: absolute;
  
        top: calc(50% - 2px);
   
       left: -100%;
       
   width: 100%;
     
     background: #d49fdb;
    
      transition: 0.5s;
   
   }
      
  
    .menu a:hover {
   
       color: #fff;
    
  }
      
     
 .menu a:hover::before {
  
        animation: animate .5s linear forwards;
  
    }

     
 .content1 {
     
   order: 1;
   
   }
      

      .content2 {
  
      order: 3;
 
     }
      

      .content3 {
  
      order: 2;
 
     }

}
